Subject: [PATCH] arm: Add basic support for new Marvell Armada SoC family

From: [email-masked] (Ben Dooks)
Date: Mon, 21 May 2012 09:55:43 +0100

On 18/05/12 21:44, Arnd Bergmann wrote:
> On Friday 18 May 2012, Jason Cooper wrote:
>>>
>>> In this case, we have wildly different names referring to the same chip
>>> family, and "orion" is far from hinting that it also constitute the
>>> support for Kirkwood, Dove or (some not all) Armadas, unless you are
>>> familiar with some legacy Marvell products.  This is why in this case I
>>> think that a directory name change might be appropriate, especially if
>>> we're going to cause churn by moving things around already.
>>>
>>> I agree that mrvl_ebu_* is not pretty.  This could be mv_ebu_* or
>>> mvebu_*.  Unless someone has another logical identifier to suggest which
>>> would capture all that family of SOCs that came out of EBU in Marvell of
>>> course.
>>
>> I prefer mvebu_* ...  nice and concise.
>>
>
> On a related topic, any preferences on where we will put all the board
> files? I think it would be helpful to put them into a separate place from
> the main platform files, so e.g. have all *-setup.c files go to
> arch/arm/mach-mvebu/board/*.c instead of arch/arm/mach-mvebu/*-setup.c

What board files?

As I see it there are no current users and all additional kernel support
should simply use devicetree.

-- 
Ben Dooks				http://www.codethink.co.uk/
Senior Engineer				Codethink - Providing Genius